org.eclipse.jface.preference

## Class PreferenceLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.jface.preference.PreferenceLabelProvider

All Implemented Interfaces:
  IBaseLabelProvider, ILabelProvider

    public class PreferenceLabelProvider
    extends LabelProvider

Provides labels for `IPreferenceNode` objects.

Since:
  3.0

### Constructor Summary

Constructors
Constructor and Description
`PreferenceLabelProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Image` `getImage(Object element)` The `LabelProvider` implementation of this `ILabelProvider` method returns `null`.
`String` `getText(Object element)` The `LabelProvider` implementation of this `ILabelProvider` method returns the element's `toString` string.

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Constructor Detail

#### PreferenceLabelProvider

    public PreferenceLabelProvider()

### Method Detail

#### getText

    public String getText(Object element)

Description copied from class: `LabelProvider`
The `LabelProvider` implementation of this `ILabelProvider` method returns the element's `toString` string. Subclasses may override.

Specified by:
  `getText` in interface `ILabelProvider`
Overrides:
  `getText` in class `LabelProvider`
Parameters:
  `element` - must be an instance of `IPreferenceNode`.
Returns:
  the text string used to label the element, or `null` if there is no text label for the given object
See Also:
  `ILabelProvider.getText(java.lang.Object)`

#### getImage

    public Image getImage(Object element)

Description copied from class: `LabelProvider`
The `LabelProvider` implementation of this `ILabelProvider` method returns `null`. Subclasses may override.

Specified by:
  `getImage` in interface `ILabelProvider`
Overrides:
  `getImage` in class `LabelProvider`
Parameters:
  `element` - must be an instance of `IPreferenceNode`.
Returns:
  the image used to label the element, or `null` if there is no image for the given object
See Also:
  `ILabelProvider.getImage(java.lang.Object)`